%define pls 	plperl plpython tcl
Name:         	PostgreSQL
Summary:      	The PL/Tcl, PL/Perl, and PL/Python Procedural Languages for PostgreSQL
Version:      	8.1.4
Release:      	1
License:      	BSD
Group:        	Libraries
Url:            http://www.postgresql.org/
Source0:      	postgresql-%{version}.tar.bz2
Provides:     	postgresql-plperl postgresql-pltcl postgresql-plpython
Provides:     	postgresql-tcl:%{_libdir}/postgresql/pltcl.so
BuildRoot:    	%{_tmppath}/%{name}-%{version}-build

%description
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, and user-defined
types and functions.

This package contains the PL/Tcl, PL/Perl, and PL/Python procedural
languages for PostgreSQL.  With these modules one can use Perl, Python,
and Tcl to write stored procedures, functions, and triggers.

PostgreSQL also offers the built-in procedural language PL/SQL which is
included in the postgresql-server package.

%package 	devel
Summary: 	PostgreSQL development header files and libraries.
Group: 		Development

%description 	devel
The postgresql-devel package contains the header files and libraries
needed to compile C or C++ applications which will directly interact
with a PostgreSQL database management server and the ecpg Embedded C
Postgres preprocessor. You need to install this package if you want to
develop applications which will interact with a PostgreSQL server.


%prep
%setup -q -n postgresql-%{version}

%build
autoconf
export CFLAGS="%{optflags}"
export LIBNAME=%{_lib}
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--bindir=%{_bindir} \
	--includedir=%{_includedir}/pgsql \
	--datadir=%{_datadir}/postgresql \
	--mandir=%{_mandir} \
	--with-docdir=%{_docdir} \
	--with-includes="/usr/include/heimdal /usr/include/et" \
	--enable-nls \
	--enable-thread-safety \
	--enable-integer-datetimes \
	--without-readline \
	--with-python \
	--with-perl \
	--with-tcl \
	--without-tk \
	--with-openssl \
	--with-pam \
	--with-krb5
for f in %pls; do
	make -C src/pl/$f all
done

make all
make -C contrib all
make -C contrib/xml2 all

%install
for f in %pls; do
	make DESTDIR=%{buildroot} -C src/pl/$f install
done

make all DESTDIR=%{buildroot} install
make -C contrib all DESTDIR=%{buildroot} install
make -C contrib/xml2 all DESTDIR=%{buildroot} install
cd %{buildroot}%{_includedir}; ln -sf pgsql/* .

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/postgresql
%{_datadir}/postgresql
%{_bindir}
%{_mandir}

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_datadir}/locale
%{_includedir}
%{_docdir}
